Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2
Interface UnknownHandler

    public interface UnknownHandler

Handles cases when the result or action is unknown.

This allows other classes like Struts plugins to provide intelligent defaults easier.

Method Summary
`ActionConfig` | `handleUnknownAction(java.lang.String namespace, java.lang.String actionName)` Handles the case when an action configuration is unknown.
`java.lang.Object` | `handleUnknownActionMethod(java.lang.Object action, java.lang.String methodName)` Handles the case when an action method cannot be found.
`Result` | `handleUnknownResult(ActionContext actionContext, java.lang.String actionName, ActionConfig actionConfig, java.lang.String resultCode)` Handles the case when a result cannot be found for an action and result code.

Method Detail

### handleUnknownAction

    ActionConfig handleUnknownAction(java.lang.String namespace,
                                     java.lang.String actionName)
                                     throws XWorkException

  Handles the case when an action configuration is unknown. Implementations can return a new ActionConfig to be used to process the request.

  Parameters:
    `namespace` - The namespace
    `actionName` - The action name
  Returns:
    An generated ActionConfig, can return `null`
  Throws:
    `XWorkException`

### handleUnknownResult

    Result handleUnknownResult(ActionContext actionContext,
                               java.lang.String actionName,
                               ActionConfig actionConfig,
                               java.lang.String resultCode)
                               throws XWorkException

  Handles the case when a result cannot be found for an action and result code.

  Parameters:
    `actionContext` - The action context
    `actionName` - The action name
    `actionConfig` - The action config
    `resultCode` - The returned result code
  Returns:
    A result to be executed, can return `null`
  Throws:
    `XWorkException`

### handleUnknownActionMethod

    java.lang.Object handleUnknownActionMethod(java.lang.Object action,
                                               java.lang.String methodName)
                                               throws java.lang.NoSuchMethodException

  Handles the case when an action method cannot be found. This method is responsible both for finding the method and executing it.

  Parameters:
    `action` - The action object
    `methodName` - The method name to call
  Returns:
    The result returned from invoking the action method
  Throws:
    `java.lang.NoSuchMethodException` - If the method cannot be found
  Since:
    2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.